import weflayr
from weflayr.openapi.models import GetBenchmarksStatus
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_benchmarks(status=GetBenchmarksStatus.RUNNING)
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getBenchmarks({
client,
throwOnError: true,
query: {
status: 'running',
},
});
curl "https://app.weflayr.com/api/benchmarks/?status=running" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"benchmarks": [
{
"benchmark_uuid": "5c1d6a52-3f5f-4c53-9a0e-6f2b9c7d8e01",
"url": "https://app.weflayr.com/dashboard/optimization/benchmark/?benchmark=5c1d6a52-3f5f-4c53-9a0e-6f2b9c7d8e01",
"name": "Summarize profile",
"status": "running",
"requested_at": "2026-10-23T09:10:00+00:00",
"started_at": "2026-10-23T09:10:30+00:00",
"completed_at": null,
"updated_at": "2026-10-23T09:00:00+00:00",
"estimated_cost": 3.4,
"actual_cost": 0.8
}
],
"next_cursor": null,
"has_more": false
}
{"error": "Invalid or missing API key. Send it as \"Authorization: Bearer <your key>\"."}
{"error": "Invalid request payload.", "detail": [{"field": "limit", "error": "Input should be less than or equal to 1000"}]}
Benchmarks
Get benchmarks
Get the project’s benchmarks, with their status, dates and costs.
GET
/
api
/
benchmarks
/
import weflayr
from weflayr.openapi.models import GetBenchmarksStatus
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_benchmarks(status=GetBenchmarksStatus.RUNNING)
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getBenchmarks({
client,
throwOnError: true,
query: {
status: 'running',
},
});
curl "https://app.weflayr.com/api/benchmarks/?status=running" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"benchmarks": [
{
"benchmark_uuid": "5c1d6a52-3f5f-4c53-9a0e-6f2b9c7d8e01",
"url": "https://app.weflayr.com/dashboard/optimization/benchmark/?benchmark=5c1d6a52-3f5f-4c53-9a0e-6f2b9c7d8e01",
"name": "Summarize profile",
"status": "running",
"requested_at": "2026-10-23T09:10:00+00:00",
"started_at": "2026-10-23T09:10:30+00:00",
"completed_at": null,
"updated_at": "2026-10-23T09:00:00+00:00",
"estimated_cost": 3.4,
"actual_cost": 0.8
}
],
"next_cursor": null,
"has_more": false
}
{"error": "Invalid or missing API key. Send it as \"Authorization: Bearer <your key>\"."}
{"error": "Invalid request payload.", "detail": [{"field": "limit", "error": "Input should be less than or equal to 1000"}]}
Get the project’s benchmarks, newest first, each with its name, status, dates and costs. Read one with get_benchmark for its setup and recommendations.
Parameters
string
default:"all"
Return only the benchmarks with this status. Defaults to “all”. One of
all, draft, running, stopped, completed or archived.string
The route is paginated: pass the previous page’s
next_cursor, as is, to get the next page. has_more says whether another page exists.integer
default:"100"
Number of benchmarks per page. Max
1000.import weflayr
from weflayr.openapi.models import GetBenchmarksStatus
client = weflayr.client() # reads WEFLAYR_API_KEY
client.get_benchmarks(status=GetBenchmarksStatus.RUNNING)
const weflayr = require('weflayr');
const client = weflayr.client(); // reads WEFLAYR_API_KEY
await weflayr.api.getBenchmarks({
client,
throwOnError: true,
query: {
status: 'running',
},
});
curl "https://app.weflayr.com/api/benchmarks/?status=running" \
-H "Authorization: Bearer $WEFLAYR_API_KEY"
{
"benchmarks": [
{
"benchmark_uuid": "5c1d6a52-3f5f-4c53-9a0e-6f2b9c7d8e01",
"url": "https://app.weflayr.com/dashboard/optimization/benchmark/?benchmark=5c1d6a52-3f5f-4c53-9a0e-6f2b9c7d8e01",
"name": "Summarize profile",
"status": "running",
"requested_at": "2026-10-23T09:10:00+00:00",
"started_at": "2026-10-23T09:10:30+00:00",
"completed_at": null,
"updated_at": "2026-10-23T09:00:00+00:00",
"estimated_cost": 3.4,
"actual_cost": 0.8
}
],
"next_cursor": null,
"has_more": false
}
{"error": "Invalid or missing API key. Send it as \"Authorization: Bearer <your key>\"."}
{"error": "Invalid request payload.", "detail": [{"field": "limit", "error": "Input should be less than or equal to 1000"}]}